Summary: manual page reader
Name: man
Version: 1.5f
Release: 1
Copyright: GPL
Group: Utilities/System
Source0: ftp://ftp.win.tue.nl/pub/linux/util/man/man-1.5f.tar.gz
Source1: makewhatis.cron
Source2: man-1.5e-rhpath.patch
Patch0: man-1.5a-manpath.patch
Patch2: man-1.5e-path.patch
Buildroot: /var/tmp/man-root
Requires: groff
Summary(de): Manual-Page-Reader
Summary(fr): Lecteur de pages de man.
Summary(tr): Klavuz sayfas okuyucusu

%description
The man page suite, including man, apropos, and whatis.  These
programs are used to read most of the documentation available
on a Linux system.  The whatis and apropos programs can be used
to find documentation related to a particular subject.

%description -l de
Die man-Seiten-Suite, einschlielich Handbuch, Apropos und Whatis. 
Diese Programme dienen zum Einsehen des Groteils der Dokumentation, 
die auf einem Linux-System verfgbar ist. Die Whatis- und 
Apropos-Programme dienen dazu, Beschreibungen zu bestimmten Themen 
zu finden.

%description -l fr
Ensemble des pages man. Contient man, apropos et whatis. Ces programmes
servent  lire la plupart de la documentation disponible sur un
systme Linux. Les programmes whatis et apropos servent  trouver
la documentation relative  un sujet prcis.

%description -l tr
Klavuz sayfa takm: man, apropos, whatis. Bu programlar Linux sisteminde
bulunan birok belgenin okunmasnda kullanylyr. whatis ve apropos programlar
zel bir konu ile alakal belgeleri bulmak iin kullanlabilir.

%prep
%setup -q
%patch0 -p1 -b .manpath
%patch2 -p1 -b .path

%build
./configure -default +fsstnd +sgid
patch -p1 -s < $RPM_SOURCE_DIR/man-1.5e-rhpath.patch
make CC="gcc -g $RPM_OPT_FLAGS -D_GNU_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p  $RPM_BUILD_ROOT/usr/{bin,man,sbin}
mkdir -p  $RPM_BUILD_ROOT/etc/cron.weekly
make install PREFIX=$RPM_BUILD_ROOT

install -m755 $RPM_SOURCE_DIR/makewhatis.cron $RPM_BUILD_ROOT/etc/cron.weekly

mkdir -p $RPM_BUILD_ROOT/var/catman
mkdir -p $RPM_BUILD_ROOT/var/catman/local
mkdir -p $RPM_BUILD_ROOT/var/catman/X11
for i in 1 2 3 4 5 6 7 8 9 n; do
	mkdir -p $RPM_BUILD_ROOT/var/catman/cat$i
	mkdir -p $RPM_BUILD_ROOT/var/catman/local/cat$i
	mkdir -p $RPM_BUILD_ROOT/var/catman/X11R6/cat$i
done

strip $RPM_BUILD_ROOT/usr/bin/man

%preun
# Clean up accumulated cat litter.
rm -f /var/catman/cat[123456789n]/*
rm -f /var/catman/local/cat[123456789n]/*
rm -f /var/catman/X11R6/cat[123456789n]/*

%post
rm -f /var/catman/cat[123456789n]/*
rm -f /var/catman/local/cat[123456789n]/*
rm -f /var/catman/X11/cat[123456789n]/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/cron.weekly/makewhatis.cron
%attr(2755,root,man)	/usr/bin/man
/usr/bin/apropos
/usr/bin/whatis
/usr/sbin/makewhatis
%config /etc/man.config
/usr/man/man5/man.conf.5
/usr/man/man1/whatis.1
/usr/man/man1/man.1
/usr/man/man1/apropos.1

%attr(0775,root,man)	%dir /var/catman
%attr(0775,root,man)	%dir /var/catman/cat[123456789n]
%attr(0775,root,man)	%dir /var/catman/local
%attr(0775,root,man)	%dir /var/catman/local/cat[123456789n]
%attr(0775,root,man)	%dir /var/catman/X11R6
%attr(0775,root,man)	%dir /var/catman/X11R6/cat[123456789n]

%changelog
* Mon Aug 24 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5e
- properly buildrooted

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- enable fsstnd organization
- change /var/catman/X11 to X11R6
- %post/%preun to clean up cat litter

* Tue Jun 02 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Tue Jun 02 1998 Erik Troan <ewt@redhat.com>
- you can't do free(malloc(10) + 4) <sigh>

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5d

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.5a

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- uses a build root

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- updated to man-1.4j, which fixes some security problems; release 1 is
  for RH 4.2, release 2 is for glibc
 
* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Added /usr/lib/perl5/man to default manpath
